[@rxap/forms](../wiki/globals) / RxapFormBuilder

# Class: RxapFormBuilder\<Data, Form\>

Defined in: [packages/angular/forms/src/lib/form-builder.ts:67](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/form-builder.ts#L67)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\> = `any`

• **Form** *extends* [`FormType`](../wiki/TypeAlias.FormType)\<`Data`\> = [`FormType`](../wiki/TypeAlias.FormType)\<`Data`\>

## Constructors

### new RxapFormBuilder()

> **new RxapFormBuilder**\<`Data`, `Form`\>(`definition`, `injector`, `providers`): [`RxapFormBuilder`](../wiki/Class.RxapFormBuilder)\<`Data`, `Form`\>

Defined in: [packages/angular/forms/src/lib/form-builder.ts:89](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/form-builder.ts#L89)

#### Parameters

##### definition

`Constructor`\<`Form`\>

##### injector

`Injector` = `Injector.NULL`

##### providers

`StaticProvider`[] = `[]`

#### Returns

[`RxapFormBuilder`](../wiki/Class.RxapFormBuilder)\<`Data`, `Form`\>

## Methods

### build()

> **build**\<`T`\>(`state`, `options`): `T`

Defined in: [packages/angular/forms/src/lib/form-builder.ts:118](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/form-builder.ts#L118)

#### Type Parameters

• **T** *extends* [`FormType`](../wiki/TypeAlias.FormType)\<`Data`\> \| [`FormDefinition`](../wiki/Interface.FormDefinition)\<`Data`, `any`, `any`\>

#### Parameters

##### state

`Readonly`\<`any`\> = `{}`

##### options

`Partial`\<[`FormDefinitionMetadata`](../wiki/Interface.FormDefinitionMetadata) & `object`\> = `{}`

#### Returns

`T`
